Skip to main content
GET
/
assets
/
{id}
Get an asset by ID
curl --request GET \
  --url https://api.argil.ai/v1/assets/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "fileUrl": "<string>",
  "thumbnailUrl": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}
Returns an asset with its current processing status and metadata. Use this endpoint to poll for processing completion after uploading an asset.

Status Lifecycle

POST /assets → PROCESSING → READY (or FAILED)
StatusDescription
PROCESSINGAsset is being downloaded and processed
READYAsset is ready to use as B-roll
FAILEDProcessing failed — upload a new asset

Authorizations

x-api-key
string
header
required

API key to be included in the x-api-key header

Path Parameters

id
string<uuid>
required

The ID of the asset to retrieve

Response

Asset details

id
string<uuid>
name
string | null
type
enum<string>
Available options:
AUDIO,
IMAGE,
VIDEO
status
enum<string>

Processing status. Poll until READY before using as B-roll.

Available options:
PROCESSING,
READY,
FAILED
fileUrl
string | null

URL to access the asset. Null while processing.

thumbnailUrl
string | null

URL to a thumbnail image. Null while processing.

createdAt
string<date-time>